#include <iostream>
#include "data.h" // arr, N

using namespace std;

int main() {
	int dp[N+1];

	printArr();

	dp[0]  = 0;
	for (int i = 0; i < N; i++) 
		dp[i+1] = arr[i] + dp[i];
	
	cout << "a[3] + ... + a[7] = " << dp[7+1]-dp[3] << endl;
	int sum = 0;
	for (int i = 3; i <= 7; i++)
		sum += arr[i];
	cout << (sum == (dp[7+1]-dp[3]) ? "Correct!" : "Incorrect!") << endl;
		
	return 0;
}
